import { IApiOrderField } from './api-order-field.interface';
/**
 * Representação do campo, contendo seu nome e o tipo de ordenação
 */
export declare class ApiOrderField implements IApiOrderField {
    /**
     * Campo a ser ordenado
     */
    private field;
    /**
     * Tipo de ordenação, sendo padronizado pelo enum ApiOrderType, como Ascendente ou Descendente
     */
    private orderType;
    /**
     * Retorna a string formatada do campo, já contendo o sinal apropriado a seu tipo de ordenação
     */
    toString(): string;
    /**
     * Seta a ordem do campo como ascendente
     * @returns {IApiOrderField}
     */
    Asc(): IApiOrderField;
    /**
     * Seta a ordem do campo como descendente
     * @returns {IApiOrderField}
     */
    Desc(): IApiOrderField;
    /**
     * Método contrutor da classe
     * @param field
     */
    constructor(field: string);
}
