import { Observable } from 'rxjs';
/**
 * Interface para um serviço que contenha uma chamada rest de leitura de um recurso
 *
 * @template Out Entidade que será devolvida na leitura
 */
export interface IGetEntity<Out> {
    /**
     * Implementação da chamada de leitura de um recurso
     *
     * @param {...Array<any>} params parâmetros da url
     * @returns {Observable<Out>} Deve ser assinado para realizar a leitura do serviço
     */
    Get(...params: Array<any>): Observable<Out>;
}
