import { Observable } from 'rxjs';
/**
 * Interface para um serviço que contenha uma chamada rest de criação de um recurso
 *
 * @template In Entidade envidada para o endpoint
 * @template Response Tipo de resposta esperada pelo servidor
 */
export interface IPostEntity<In, Response> {
    /**
     * Implementação da chamada de criação de um recurso
     *
     * @param {In} data dados de entrada para o serviço
     * @param {...Array<any>} params parâmetros da url
     * @returns {Observable<Response>} Deve ser assinado para realizar a criação do recurso
     */
    Post(data: In, ...params: Array<any>): Observable<Response>;
}
