import { IShowMessage } from '../../entities/messaging/show-message/show-message.interface';
import { ShowMessageOptions } from './../../entities/messaging/show-message/show-message-options';
import { I18nBaseService } from './../../entities/i18n/i18n-base-service';
import { IBaseMessage } from './../../entities/messaging/base-message.interface';
import { AbstractShowMessage } from '../../entities/messaging/show-message/abstract-show-message';
/**
 * Classe do serviço de exibição de mensagem
 */
export declare class MessageDisplayerService implements IShowMessage {
    private i18n;
    private messageShower;
    /** Opções da mensagem */
    protected showMessageOptions: ShowMessageOptions;
    /**
     * Construtor da classe
     * @param i18n
     * @param messageShower
     */
    constructor(i18n: I18nBaseService, messageShower: AbstractShowMessage);
    /** Método para exibir uma mensagem totalmente customizada  */
    displayMessage(showMessageOptions: ShowMessageOptions): void;
    /**
     * Método para exibir uma mensagem internacionalizada
     * @param message
     * @param messageOptions
     */
    showMessage(message: IBaseMessage, messageOptions?: ShowMessageOptions): void;
    /**
    * Método responsável por definir as opções padrões de uma mensagem
    * @param showMessageOptions
    */
    private messageOptionsDefaults;
}
